> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all articles



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /helpcenter/collections/{helpcenterCollectionId}/articles
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /helpcenter/collections/{helpcenterCollectionId}/articles:
    get:
      tags:
        - Help center articles
      summary: Get all articles
      operationId: GetHelpcenterArticles
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HelpcenterArticleDocument'
                type: array
      security:
        - jwt: []
components:
  schemas:
    HelpcenterArticleDocument:
      allOf:
        - $ref: '#/components/schemas/HelpcenterArticleI'
        - $ref: '#/components/schemas/Document'
    HelpcenterArticleI:
      $ref: '#/components/schemas/InferSchemaType_typeofhelpcenterArticleSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofhelpcenterArticleSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofhelpcenterArticleSchema.any.ObtainSchemaGeneric_typeofhelpcenterArticleSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofhelpcenterArticleSchema.any.ObtainSchemaGeneric_typeofhelpcenterArticleSchema.DocType__:
      allOf:
        - properties:
            updatedAt:
              $ref: '#/components/schemas/NativeDate'
            createdAt:
              $ref: '#/components/schemas/NativeDate'
          required:
            - updatedAt
            - createdAt
          type: object
        - properties:
            extendedAudienceFilter: {}
            baseAudienceFilter: {}
            docId:
              type: number
              format: double
            author:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            helpcenterCollection:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            upvotes: {}
            plainContent: {}
            lexorank:
              type: string
            project:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            externalId:
              type: string
            content: {}
            title: {}
            description: {}
            sourceUsage:
              type: number
              format: double
            isDraft:
              type: boolean
            tags:
              items:
                type: string
              type: array
            targetAudience:
              type: string
          required:
            - sourceUsage
            - isDraft
            - tags
            - targetAudience
          type: object
    NativeDate:
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````